<!DOCTYPE html>
<html>
<head>
	<title>JS function Exo de remplacement</title>
</head>
<body>
exo 1 de remplacement / <br>
1 ere fct remplace dans une string donné remplace tous les "a" et "A" par des 4 et tous les "e" et "E" par des 3.<br> 
le fonction doit retourner la nouvelle chaine de caractères.<br>

string.replace(searchvalue,newvalue)<br>
<br>
Perform a global replacement: str.replace(/blue/g, "red");<br>
Perform a global, case-insensitive replacement: str.replace(/blue/gi, "red"); global en ne prenant pas en compte les majuscules
<br>
On peut utiliser une fonction pour faire le remplacement, <br>
var res = str.replace(/blue|house|car/gi, function myFunction(x){return x.toUpperCase();});<br>


<script>
function remplacer (mot) {
	var nouveaumot = mot.replace(/a/gi, "4").replace(/e/gi, "3");
	return nouveaumot;
}
/*&& ou || donne un boolean et retourne uniquement vrai ou faux.*/



</script>

</body>
</html>